/* READ.THE.DOCS teemas on tabelite tekst NO-WRAP, 
arvatavasti mõttega, et mingis veerus on tühikuga koodid, mis on arendajale tähtsad.
AGA see otsus teeb tabelitele kas horisontaalse kerimise vajaduse VÕI ei tohi panna palju juttu lahtrisse.

Seega: 
1) white-space: nowrap -> white-space: inherit kahe stiili juures (td ja th)
*/

.wy-table-responsive table td, .wy-table-responsive table th {
    white-space: inherit;
}


/* Ja kuna tabeli lahter võib nüüd olla kõrgem, siis 
2) vaja rajastada kõik lahtrid üles, et oleks loogiline lugeda
(me loeme ülevalt alla)
ning jätta alles mingitest kohtades vajalik läbipaistvus (pole kindel, sest korra jäi mulje, et see on juba sügavamal läbipaistev)
*/
.rst-content table.docutils td, .rst-content table.field-list td, .wy-table td {
    background-color: transparent;
    vertical-align: top;
}

/* rakendamiseks peab mkdocs.yml siia failile viitama extra_css võtmega (massiiv css faile)*/

/* originaal: margin: 0 0 24px; -- jätab iga lõigu vahele haigutava augu (aga vaja oleks auku ainult järgneva H ees) */


p {
    line-height: 24px;
    font-size: 16px;
    margin: 2px 0 14px;
}

.rst-content .toctree-wrapper > p.caption, .rst-content h1, .rst-content h2, .rst-content h3, .rst-content h4, .rst-content h5, .rst-content h6 {
    margin-bottom: 24px;
    margin-top: 36px;
}
